[mobile-broadband-provider-info] add an autogen.sh; clean up configure.ac



commit e5fd0d73061cd10e89d0f5a8c0e748312653ce65
Author: Dan Williams <dcbw redhat com>
Date:   Tue May 26 23:18:20 2009 -0400

    add an autogen.sh; clean up configure.ac
---
 autogen.sh   |   22 ++++++++++++++++++++++
 configure.ac |    7 +++++--
 2 files changed, 27 insertions(+), 2 deletions(-)

diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..9bedfb8
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+REQUIRED_AUTOMAKE_VERSION=1.7
+PKG_NAME=mobile-broadband-provider-info
+
+(test -f $srcdir/configure.ac \
+  && test -f $srcdir/serviceproviders.xml) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+
+(cd $srcdir;
+    autoreconf --install --symlink &&
+    autoreconf &&
+    ./configure --enable-maintainer-mode $@
+)
+
diff --git a/configure.ac b/configure.ac
old mode 100644
new mode 100755
index cf50e7e..b06284a
--- a/configure.ac
+++ b/configure.ac
@@ -1,8 +1,11 @@
-AC_INIT([mobile-broadband-provider-info], [20090309])
+AC_PREREQ(2.52)
+
+AC_INIT(mobile-broadband-provider-info, 20090309, antti kaijanmaki net, mobile-broadband-provider-info)
 AM_INIT_AUTOMAKE([-Wall -Werror foreign])
+AM_MAINTAINER_MODE
 
 AC_CONFIG_FILES([
 	Makefile
 	mobile-broadband-provider-info.pc
 ])
-AC_OUTPUT
\ No newline at end of file
+AC_OUTPUT



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]